Advertisement
Not a member of Pastebin yet?
Sign Up,
it unlocks many cool features!
- In ./execFnList.sh line 2:
- source "$HOME/emudeck/backend/functions/all.sh"
- ^-- SC1091 (info): Not following: ./emudeck/backend/functions/all.sh was not specified as input (see shellcheck -x).
- In ./installCLI.sh line 16:
- if [ $? -eq 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./installCLI.sh line 22:
- if [ $? -ne 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if ! mycmd;', not indirectly with $?.
- In ./installCLI.sh line 29:
- if [ $? -ne 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if ! mycmd;', not indirectly with $?.
- In ./installCLI.sh line 120:
- if [[ ! $noPull == true ]]; then
- ^-----^ SC2154 (warning): noPull is referenced but not assigned.
- In ./installCLI.sh line 249:
- pause
- ^---^ SC2119 (info): Use pause "$@" if function's $1 should mean script's $1.
- In ./installCLI.sh line 709:
- if [ "$zenity" == true ]; then
- ^-----^ SC2154 (warning): zenity is referenced but not assigned.
- In ./installCLI.sh line 1043:
- text="$(printf "<b>Yuzu is not configured</b>\nYou need to copy your Keys and firmware to: \n${biosPath}yuzu/keys\n${biosPath}yuzu/firmware\n\nMake sure to copy your files inside the folders. <b>Do not overwrite them</b>")"
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- In ./installCLI.sh line 1086:
- text="$(printf "<b>Done!</b>\n\nRemember to add your games here:\n<b>${romsPath}</b>\nAnd your Bios (PS1, PS2, Yuzu) here:\n<b>${biosPath}</b>\n\nOpen Steam Rom Manager on your Desktop to add your games to your SteamUI Interface.\n\nThere is a bug in RetroArch that if you are using Bezels you can not set save configuration files unless you close your current game. Use overrides for your custom configurations or use expert mode to disabled them\n\nIf you encounter any problem please visit our Discord:\n<b>https://discord.gg/b9F7GpXtFP</b>\n\nTo Update EmuDeck in the future, just run this App again.\n\nEnjoy!")"
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- In ./functions/installEmuAI.sh line 11:
- echo $name
- ^---^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$name"
- In ./functions/installEmuAI.sh line 12:
- echo $url
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$url"
- In ./functions/installEmuAI.sh line 13:
- echo $altName
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$altName"
- In ./functions/installEmuAI.sh line 22:
- find "${toolsPath}/launchers/" -type f -iname "$shName.sh" -o -type f -iname "$shName-emu.sh" | \
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/dialogBox.sh line 31:
- if [ -z $2 ] ; then
- ^-- SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- if [ -z "$2" ] ; then
- In ./functions/dialogBox.sh line 32:
- dir_list=$(ls -lhp | awk -F ' ' ' { print $9 " " $5 } ')
- ^-----^ SC2012 (info): Use find instead of ls to better handle non-alphanumeric filenames.
- In ./functions/dialogBox.sh line 34:
- cd "$2"
- ^-----^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- Did you mean:
- cd "$2" || exit
- In ./functions/dialogBox.sh line 35:
- dir_list=$(ls -lhp | awk -F ' ' ' { print $9 " " $5 } ')
- ^-----^ SC2012 (info): Use find instead of ls to better handle non-alphanumeric filenames.
- In ./functions/dialogBox.sh line 43:
- --ok-button Select $dir_list 3>&1 1>&2 2>&3)
- ^-------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- --ok-button Select "$dir_list" 3>&1 1>&2 2>&3)
- In ./functions/dialogBox.sh line 48:
- --ok-button Select ../ BACK $dir_list 3>&1 1>&2 2>&3)
- ^-------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- --ok-button Select ../ BACK "$dir_list" 3>&1 1>&2 2>&3)
- In ./functions/dialogBox.sh line 58:
- if [[ $selection == *$filext ]]; then # Check if selected File has .jpg extension
- ^-----^ SC2154 (warning): filext is referenced but not assigned.
- In ./functions/dialogBox.sh line 62:
- filename="$selection"
- ^------^ SC2034 (warning): filename appears unused. Verify use (or export if used externally).
- In ./functions/dialogBox.sh line 63:
- filepath="$curdir" # Return full filepath and filename as selection variables
- ^------^ SC2034 (warning): filepath appears unused. Verify use (or export if used externally).
- In ./functions/installEmuBI.sh line 12:
- echo $name
- ^---^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$name"
- In ./functions/installEmuBI.sh line 13:
- echo $url
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$url"
- In ./functions/installEmuBI.sh line 14:
- echo $altName
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "$altName"
- In ./functions/installEmuBI.sh line 23:
- find "${toolsPath}/launchers/" -type f -iname "$shName.sh" -o -type f -iname "$shName-emu.sh" | \
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/RunFunc.sh line 2:
- source all.sh && "@a"
- ^----^ SC1091 (info): Not following: all.sh was not specified as input (see shellcheck -x).
- In ./functions/helperFunctions.sh line 50:
- local OLD=$(escapeSedKeyword "$KEYWORD")
- ^-^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 51:
- local NEW=$(escapeSedValue "$REPLACE")
- ^-^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 54:
- echo "Old: "$(cat "$FILE" | grep "^$OLD")
- ^---------------------------^ SC2046 (warning): Quote this to prevent word splitting.
- ^-----^ SC2002 (style): Useless cat. Consider 'cmd < file | ..' or 'cmd file | ..' instead.
- In ./functions/helperFunctions.sh line 56:
- echo "New: "$(cat "$FILE" | grep "^$OLD")
- ^---------------------------^ SC2046 (warning): Quote this to prevent word splitting.
- ^-----^ SC2002 (style): Useless cat. Consider 'cmd < file | ..' or 'cmd file | ..' instead.
- In ./functions/helperFunctions.sh line 112:
- find "$HOME/emudeck/backend/configs/org.libretro.RetroArch/config/retroarch/config" -type f -iname "*.cfg" | while read file
- ^--^ SC2162 (info): read without -r will mangle backslashes.
- In ./functions/helperFunctions.sh line 120:
- for line in $(cat "$file")
- ^------------^ SC2013 (info): To read lines rather than words, pipe/redirect to a 'while read' loop.
- In ./functions/helperFunctions.sh line 122:
- local option=$(echo "$line" | awk '{print $1}')
- ^----^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 123:
- local value=$(echo "$line" | awk '{print $3}')
- ^---^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 132:
- find "$HOME/emudeck/backend/configs/org.libretro.RetroArch/config/retroarch/config" -type f -iname "*.opt" -o -type f -iname "*.cfg"| while read file
- ^--^ SC2162 (info): read without -r will mangle backslashes.
- In ./functions/helperFunctions.sh line 161:
- sed -i -e '$a\'"$var=$new_val" "$emuDecksettingsFile"
- ^-- SC1003 (info): Want to escape a single quote? echo 'This is how it'\''s done'.
- In ./functions/helperFunctions.sh line 193:
- local fullPath=$(dirname "$configFile")
- ^------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 197:
- local optionFound=$(grep -rnw "$configFile" -e "$option")
- ^---------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 207:
- local sdpath=$(getSDPath)
- ^----^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 208:
- local sdValid=$(testLocationValid "sd" "$sdpath")
- ^-----^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 214:
- local uname=$(uname -a)
- ^---^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 215:
- local productName=$(getProductName)
- ^---------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 216:
- local aspectRatio=$(getScreenAR)
- ^---------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 309:
- cat "$emuDecksettingsFile" | awk '!unique[$0]++' > "$tmp" && mv "$tmp" "$emuDecksettingsFile"
- ^--------------------^ SC2002 (style): Useless cat. Consider 'cmd < file | ..' or 'cmd file | ..' instead.
- In ./functions/helperFunctions.sh line 312:
- local settingName=$(cut -d "=" -f1 <<< "$setting")
- ^---------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 313:
- local settingVal=$(cut -d "=" -f2 <<< "$setting")
- ^--------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/helperFunctions.sh line 354:
- url="$(curl -sL $url | jq -r ".assets[].browser_download_url" | grep -ve 'i386' | grep .${fileType}\$)"
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^---------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- url="$(curl -sL "$url" | jq -r ".assets[].browser_download_url" | grep -ve 'i386' | grep ."${fileType}"\$)"
- In ./functions/helperFunctions.sh line 378:
- mkdir -p $savesPath/$emu
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mkdir -p $savesPath/"$emu"
- In ./functions/helperFunctions.sh line 380:
- mkdir -p $path
- ^---^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mkdir -p "$path"
- In ./functions/helperFunctions.sh line 381:
- ln -sn $path $savesPath/$emu/$folderName
- ^---^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^---------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- ln -sn "$path" $savesPath/"$emu"/"$folderName"
- In ./functions/helperFunctions.sh line 391:
- local linkedTarget=$(readlink -f "$savesPath/$emu/$folderName")
- ^----------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/migrateAndLinkConfig.sh line 48:
- text="`printf "Data was found for both the appimage and flatpak for ${emu}.\nWe will be using the AppImage from now on.\nPlease choose which data to keep.\nThe AppImage version should perform better than the one you already have\nDo not forget to run Steam Rom Manager to update your games for ${emu}"`"
- ^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- Did you mean:
- text="$(printf "Data was found for both the appimage and flatpak for ${emu}.\nWe will be using the AppImage from now on.\nPlease choose which data to keep.\nThe AppImage version should perform better than the one you already have\nDo not forget to run Steam Rom Manager to update your games for ${emu}")"
- In ./functions/migrateAndLinkConfig.sh line 49:
- ans=$(zenity --info --title "Migrate "${emu}" Data?" \
- ^----^ SC2027 (warning): The surrounding quotes actually unquote this. Remove or escape them.
- ^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- ans=$(zenity --info --title "Migrate ""${emu}"" Data?" \
- In ./functions/migrateAndLinkConfig.sh line 55:
- rc=$?
- ^-- SC2034 (warning): rc appears unused. Verify use (or export if used externally).
- In ./functions/migrateAndLinkConfig.sh line 66:
- unlink ${toDir}
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- unlink "${toDir}"
- In ./functions/migrateAndLinkConfig.sh line 67:
- echo ${toDir}" is a symlink. Unlinked."
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "${toDir}"" is a symlink. Unlinked."
- In ./functions/migrateAndLinkConfig.sh line 71:
- echo ${toDir}" is a directory. Backed up."
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "${toDir}"" is a directory. Backed up."
- In ./functions/migrateAndLinkConfig.sh line 73:
- mkdir -p $toDir && rsync -av "${fromDir}/" "${toDir}"
- ^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mkdir -p "$toDir" && rsync -av "${fromDir}/" "${toDir}"
- In ./functions/migrateAndLinkConfig.sh line 74:
- cd ${fromDir}
- ^-----------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- cd "${fromDir}" || exit
- In ./functions/migrateAndLinkConfig.sh line 75:
- cd ..
- ^---^ SC2103 (info): Use a ( subshell ) to avoid having to cd back.
- In ./functions/migrateAndLinkConfig.sh line 80:
- ln -sfn ${toDir} .
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- ln -sfn "${toDir}" .
- In ./functions/migrateAndLinkConfig.sh line 85:
- cd ${toDir}
- ^---------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- cd "${toDir}" || exit
- In ./functions/migrateAndLinkConfig.sh line 86:
- cd ..
- ^---^ SC2103 (info): Use a ( subshell ) to avoid having to cd back.
- In ./functions/migrateAndLinkConfig.sh line 112:
- cd ${fromDir}/..
- ^--------------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- cd "${fromDir}"/.. || exit
- In ./functions/migrateAndLinkConfig.sh line 114:
- mkdir -p ${toDir} && rmdir ${toDir} #make the path for todir, but remove the end folder
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mkdir -p "${toDir}" && rmdir "${toDir}" #make the path for todir, but remove the end folder
- In ./functions/migrateAndLinkConfig.sh line 117:
- ln -sfn ${toDir} .
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- ln -sfn "${toDir}" .
- In ./functions/migrateAndLinkConfig.sh line 123:
- touch $migrationFlag
- ^------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- touch "$migrationFlag"
- In ./functions/migrateAndLinkConfig.sh line 124:
- elif [ $doMigrate == "Leave ${emu} alone forever" ]; then
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- elif [ "$doMigrate" == "Leave ${emu} alone forever" ]; then
- In ./functions/migrateAndLinkConfig.sh line 125:
- touch $migrationFlag
- ^------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- touch "$migrationFlag"
- In ./functions/updateEmuFP.sh line 9:
- flatpak update $ID -y --system
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak update "$ID" -y --system
- In ./functions/updateEmuFP.sh line 10:
- flatpak override $ID --filesystem=host --user
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak override "$ID" --filesystem=host --user
- In ./functions/updateEmuFP.sh line 11:
- flatpak override $ID --share=network --user
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak override "$ID" --share=network --user
- In ./functions/updateEmuFP.sh line 15:
- find "${toolsPath}"launchers/ -type f -iname $shName.sh | while read f; do echo "deleting $f"; rm -f "$f"; done;
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^--^ SC2162 (info): read without -r will mangle backslashes.
- Did you mean:
- find "${toolsPath}"launchers/ -type f -iname "$shName".sh | while read f; do echo "deleting $f"; rm -f "$f"; done;
- In ./functions/emuDeckPrereqs.sh line 11:
- wheel=$(awk '/'${USER}'/ {if ($1 ~ /wheel/) print}' /etc/group)
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- wheel=$(awk '/'"${USER}"'/ {if ($1 ~ /wheel/) print}' /etc/group)
- In ./functions/emuDeckPrereqs.sh line 18:
- sudo usermod -a -G wheel ${USER}
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- sudo usermod -a -G wheel "${USER}"
- In ./functions/emuDeckPrereqs.sh line 23:
- if [[ "$(stat -c %U ${HOME}/Desktop)" =~ root ]]; then
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- if [[ "$(stat -c %U "${HOME}"/Desktop)" =~ root ]]; then
- In ./functions/emuDeckPrereqs.sh line 24:
- sudo chown -R ${USER}:${USER} ~/Desktop
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^-----^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- sudo chown -R "${USER}":"${USER}" ~/Desktop
- In ./functions/checkPSBIOS.sh line 6:
- for entry in $biosPath/*
- ^-------^ SC2154 (warning): biosPath is referenced but not assigned.
- ^-------^ SC2231 (info): Quote expansions in this for loop glob to prevent wordsplitting, e.g. "$dir"/*.txt .
- In ./functions/checkPSBIOS.sh line 9:
- md5=($(md5sum "$entry"))
- ^----------------^ SC2207 (warning): Prefer mapfile or read -a to split command output (or quote to avoid splitting).
- In ./functions/checkPSBIOS.sh line 14:
- if [[ "$md5" == *"${i}"* ]]; then
- ^--^ SC2128 (warning): Expanding an array without an index only gives the first element.
- In ./functions/checkPSBIOS.sh line 27:
- if [[ "$md5" == *"${i}"* ]]; then
- ^--^ SC2128 (warning): Expanding an array without an index only gives the first element.
- In ./functions/checkPSBIOS.sh line 41:
- text="`printf "<b>PS1 bios not detected</b>\nYou need to copy your BIOS to: \n${biosPath}\n\n<b>Make sure they are not in a subdirectory</b>"`"
- ^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- Did you mean:
- text="$(printf "<b>PS1 bios not detected</b>\nYou need to copy your BIOS to: \n${biosPath}\n\n<b>Make sure they are not in a subdirectory</b>")"
- In ./functions/checkPSBIOS.sh line 50:
- text="`printf "<b>PS2 bios not detected</b>\nYou need to copy your BIOS to: \n${biosPath}\n\n<b>Make sure they are not in a subdirectory</b>"`"
- ^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- Did you mean:
- text="$(printf "<b>PS2 bios not detected</b>\nYou need to copy your BIOS to: \n${biosPath}\n\n<b>Make sure they are not in a subdirectory</b>")"
- In ./functions/ToolScripts/emuDeckESDE.sh line 4:
- ESDE_toolType="AppImage"
- ^-----------^ SC2034 (warning): ESDE_toolType appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckESDE.sh line 5:
- ESDE_toolPath="${toolsPath}/EmulationStation-DE-x64_SteamDeck.AppImage"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckESDE.sh line 42:
- ESDE_applyTheme "$esdeTheme"
- ^--------^ SC2154 (warning): esdeTheme is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckESDE.sh line 74:
- --var newSystem '$prev' \
- ^-----^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 75:
- --subnode '$newSystem' --type elem --name 'name' -v 'wiiu' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 76:
- --subnode '$newSystem' --type elem --name 'fullname' -v 'Nintendo Wii U' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 77:
- --subnode '$newSystem' --type elem --name 'path' -v '%ROMPATH%/wiiu/roms' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 78:
- --subnode '$newSystem' --type elem --name 'extension' -v '.rpx .RPX .wud .WUD .wux .WUX .elf .ELF .iso .ISO .wad .WAD .wua .WUA' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 79:
- --subnode '$newSystem' --type elem --name 'command' -v "/usr/bin/bash ${toolsPath}/launchers/cemu.sh -f -g z:%ROM%" \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 80:
- --insert '$newSystem/command' --type attr --name 'label' --value "Cemu (Proton)" \
- ^------------------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 81:
- --subnode '$newSystem' --type elem --name 'platform' -v 'wiiu' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 82:
- --subnode '$newSystem' --type elem --name 'theme' -v 'wiiu' \
- ^----------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/ToolScripts/emuDeckESDE.sh line 128:
- esDE_romDir="<string name=\"ROMDirectory\" value=\""${romsPath}"\" />" #roms
- ^---------^ SC2027 (warning): The surrounding quotes actually unquote this. Remove or escape them.
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckESDE.sh line 134:
- esDE_MediaDir="<string name=\"MediaDirectory\" value=\""${ESDEscrapData}"\" />"
- ^--------------^ SC2027 (warning): The surrounding quotes actually unquote this. Remove or escape them.
- ^--------------^ SC2154 (warning): ESDEscrapData is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckESDE.sh line 183:
- cd $(echo $romsPath | tr -d '\r')
- ^-- SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- ^----------------------------^ SC2046 (warning): Quote this to prevent word splitting.
- ^-------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- cd $(echo "$romsPath" | tr -d '\r') || exit
- In ./functions/ToolScripts/emuDeckESDE.sh line 200:
- gamelistFound=$(grep -rnw $gamelistFile -e 'gameList')
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- gamelistFound=$(grep -rnw "$gamelistFile" -e 'gameList')
- In ./functions/ToolScripts/emuDeckESDE.sh line 202:
- sed -i -e '$a\<gameList />' $gamelistFile
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- sed -i -e '$a\<gameList />' "$gamelistFile"
- In ./functions/ToolScripts/emuDeckESDE.sh line 204:
- alternativeEmu=$(grep -rnw $gamelistFile -e 'alternativeEmulator')
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- alternativeEmu=$(grep -rnw "$gamelistFile" -e 'alternativeEmulator')
- In ./functions/ToolScripts/emuDeckESDE.sh line 206:
- echo "<alternativeEmulator><label>$emu</label></alternativeEmulator>" >> $gamelistFile
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- echo "<alternativeEmulator><label>$emu</label></alternativeEmulator>" >> "$gamelistFile"
- In ./functions/ToolScripts/emuDeckESDE.sh line 208:
- sed -i "s|<?xml version=\"1.0\">|<?xml version=\"1.0\"?>|g" $gamelistFile
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- sed -i "s|<?xml version=\"1.0\">|<?xml version=\"1.0\"?>|g" "$gamelistFile"
- In ./functions/ToolScripts/emuDeckBINUP.sh line 4:
- BINUP_toolType="script"
- ^------------^ SC2034 (warning): BINUP_toolType appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckBINUP.sh line 5:
- BINUP_toolPath="${toolsPath}/binupdate/binupdate.sh"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckBINUP.sh line 16:
- sed -i "s|/run/media/mmcblk0p1/Emulation/roms|${romsPath}|g" "$BINUP_toolPath"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckSRM.sh line 3:
- SRM_toolName="Steam Rom Manager"
- ^----------^ SC2034 (warning): SRM_toolName appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckSRM.sh line 4:
- SRM_toolType="AppImage"
- ^----------^ SC2034 (warning): SRM_toolType appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckSRM.sh line 5:
- SRM_toolPath="${toolsPath}/srm/Steam-ROM-Manager.AppImage"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckSRM.sh line 56:
- jq -r --arg ROMSDIR "$romsPath" '.environmentVariables.romsDirectory = "\($ROMSDIR)"' \
- ^-------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckSRM.sh line 62:
- sed -i "s|/run/media/mmcblk0p1/Emulation/storage|${storagePath}|g" "$HOME/.config/steam-rom-manager/userData/userConfigurations.json"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckCHD.sh line 4:
- CHD_toolType="script"
- ^----------^ SC2034 (warning): CHD_toolType appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckCHD.sh line 5:
- CHD_toolPath="${toolsPath}/chdconv/chddeck.sh"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckCHD.sh line 16:
- sed -i "s|/run/media/mmcblk0p1/Emulation/roms|${romsPath}|g" "$CHD_toolPath"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckSaveSync.sh line 3:
- SAVESYNC_toolName="EmuDeck SaveSync"
- ^---------------^ SC2034 (warning): SAVESYNC_toolName appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckSaveSync.sh line 4:
- SAVESYNC_toolType="AppImage"
- ^---------------^ SC2034 (warning): SAVESYNC_toolType appears unused. Verify use (or export if used externally).
- In ./functions/ToolScripts/emuDeckSaveSync.sh line 28:
- mv "${toolsPath}/savesync/config.yml" "${toolsPath}/savesync/config.yml.bak"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/ToolScripts/emuDeckSaveSync.sh line 31:
- "$SAVESYNC_toolPath" "$emulationPath" --setup "$cloudProvider"
- ^------------^ SC2154 (warning): emulationPath is referenced but not assigned.
- In ./functions/configEmuAI.sh line 18:
- rsync -avhp --mkpath $gitLocation/ $folderPath $overwrite
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^---------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- rsync -avhp --mkpath "$gitLocation"/ "$folderPath" $overwrite
- In ./functions/installEmuFP.sh line 9:
- flatpak install flathub $ID -y --system
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak install flathub "$ID" -y --system
- In ./functions/installEmuFP.sh line 10:
- flatpak override $ID --filesystem=host --user
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak override "$ID" --filesystem=host --user
- In ./functions/installEmuFP.sh line 11:
- flatpak override $ID --share=network --user
- ^-^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- flatpak override "$ID" --share=network --user
- In ./functions/installEmuFP.sh line 15:
- find "${toolsPath}/launchers/" -type f -iname "$shName.sh" -o -type f -iname "$shName-emu.sh" | while read -r f; do echo "deleting $f"; rm -f "$f"; done;
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXemu.sh line 4:
- Xemu_emuType="FlatPak"
- ^----------^ SC2034 (warning): Xemu_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckXemu.sh line 43:
- bootrrom_pathSetting="${bootrrom_path}""'${biosPath}/mcpx_1.0.bin'"
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXemu.sh line 45:
- eeprom_pathSetting="${eeprom_path}""'${storagePath}/xemu/eeprom.bin'"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXemu.sh line 66:
- cd "${storagePath}/xemu"
- ^----------------------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- Did you mean:
- cd "${storagePath}/xemu" || exit
- In ./functions/EmuScripts/emuDeckXemu.sh line 98:
- if [ -f "${savesPath}/xemu/xbox_hdd.qcow2" ]; then
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXemu.sh line 99:
- mv -fv ${savesPath}/xemu/* ${storagePath}/xemu/ && rm -rf ${savesPath}/xemu/
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mv -fv "${savesPath}"/xemu/* "${storagePath}"/xemu/ && rm -rf "${savesPath}"/xemu/
- In ./functions/EmuScripts/emuDeckXemu.sh line 102:
- mv "$HOME/.var/app/app.xemu.xemu/data/xemu/xemu/xbox_hdd.qcow2" $storagePath/xemu/
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mv "$HOME/.var/app/app.xemu.xemu/data/xemu/xemu/xbox_hdd.qcow2" "$storagePath"/xemu/
- In ./functions/EmuScripts/emuDeckXemu.sh line 103:
- mv "$HOME/.var/app/app.xemu.xemu/data/xemu/xemu/eeprom.bin" $storagePath/xemu/
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mv "$HOME/.var/app/app.xemu.xemu/data/xemu/xemu/eeprom.bin" "$storagePath"/xemu/
- In ./functions/EmuScripts/emuDeckCemu.sh line 4:
- Cemu_emuType="windows"
- ^----------^ SC2034 (warning): Cemu_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckCemu.sh line 5:
- Cemu_emuPath="${romsPath}/wiiu/cemu.exe"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckCemu.sh line 26:
- if [ -e "${toolsPath}/launchers/cemu.sh" ]; then #retain launch settings
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckCemu.sh line 27:
- local launchLine=$( tail -n 1 "${toolsPath}/launchers/cemu.sh" )
- ^--------^ SC2155 (warning): Declare and assign separately to avoid masking return values.
- In ./functions/EmuScripts/emuDeckCemu.sh line 37:
- changeLine '"${PROTONLAUNCH}"' "$launchLine" "${toolsPath}/launchers/cemu.sh"
- ^-----------------^ SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.
- In ./functions/EmuScripts/emuDeckCemu.sh line 85:
- unlink "${savesPath}/Cemu/saves" # Fix for previous bad symlink
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 4:
- RetroArch_emuType="FlatPak"
- ^---------------^ SC2034 (warning): RetroArch_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 6:
- RetroArch_releaseURL=""
- ^------------------^ SC2034 (warning): RetroArch_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 59:
- system_directorySetting="${system_directory}""\"${biosPath}\""
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 1456:
- curl $raUrl$i.zip --output ~/.var/app/org.libretro.RetroArch/config/retroarch/cores/${i}.zip
- ^-- SC2086 (info): Double quote to prevent globbing and word splitting.
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- curl $raUrl"$i".zip --output ~/.var/app/org.libretro.RetroArch/config/retroarch/cores/"${i}".zip
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 1493:
- find "$RetroArch_coreConfigFolders" -type f -iname "*.cfg" -o -type f -iname "*.opt"| while read file
- ^--^ SC2162 (info): read without -r will mangle backslashes.
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 1559:
- if [ "$RABezels" == true ]; then
- ^-------^ SC2154 (warning): RABezels is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 1566:
- if [ "$RAHandClassic2D" == true ]; then
- ^--------------^ SC2154 (warning): RAHandClassic2D is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRetroArch.sh line 1573:
- if [ "$RAHandHeldShader" == true ]; then
- ^---------------^ SC2154 (warning): RAHandHeldShader is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckYuzu.sh line 4:
- Yuzu_emuName="Yuzu"
- ^----------^ SC2034 (warning): Yuzu_emuName appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckYuzu.sh line 5:
- Yuzu_emuType="AppImage"
- ^----------^ SC2034 (warning): Yuzu_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckYuzu.sh line 68:
- newScreenshotDirOpt='Screenshots\\screenshot_path='"${storagePath}/yuzu/screenshots"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckYuzu.sh line 69:
- newGameDirOpt='Paths\\gamedirs\\4\\path='"${romsPath}/switch"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckYuzu.sh line 86:
- unlink "${biosPath}/yuzu/keys" 2>/dev/null
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckYuzu.sh line 102:
- unlink "${savesPath}/yuzu/saves" 2>/dev/null # Fix for previous bad symlink2>/dev/null
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckYuzu.sh line 147:
- migrateAndLinkConfig "$emu" "$migrationTable"
- ^-------------^ SC2128 (warning): Expanding an array without an index only gives the first element.
- In ./functions/EmuScripts/emuDeckCitra.sh line 4:
- Citra_emuType="FlatPak"
- ^-----------^ SC2034 (warning): Citra_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckCitra.sh line 6:
- Citra_releaseURL=""
- ^--------------^ SC2034 (warning): Citra_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckCitra.sh line 45:
- newGameDirOpt='Paths\\gamedirs\\3\\path='"${romsPath}/3ds"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 4:
- Ryujinx_emuName="Ryujinx"
- ^-------------^ SC2034 (warning): Ryujinx_emuName appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 5:
- Ryujinx_emuType="Binary"
- ^-------------^ SC2034 (warning): Ryujinx_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 78:
- unlink "${biosPath}/ryujinx/keys"
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 84:
- sed -i "s|/run/media/mmcblk0p1/Emulation/roms|${romsPath}|g" "$HOME/.config/Ryujinx/Config.json"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 102:
- mkdir -p "${storagePath}/ryujinx/"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRyujinx.sh line 125:
- emu="Ryujinx"
- ^-^ SC2034 (warning): emu appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckDolphin.sh line 4:
- Dolphin_emuType="FlatPak"
- ^-------------^ SC2034 (warning): Dolphin_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckDolphin.sh line 6:
- Dolphin_releaseURL=""
- ^----------------^ SC2034 (warning): Dolphin_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckDolphin.sh line 47:
- gameDirOpt1Setting='ISOPath0 = '"${romsPath}/gc"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPPSSPP.sh line 4:
- PPSSPP_emuType="FlatPak"
- ^------------^ SC2034 (warning): PPSSPP_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPPSSPP.sh line 6:
- PPSSPP_releaseURL=""
- ^---------------^ SC2034 (warning): PPSSPP_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPPSSPP.sh line 40:
- newGameDirOpt='CurrentDirectory = '"${romsPath}/psp"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckDuckStation.sh line 5:
- DuckStation_emuType="FlatPak"
- ^-----------------^ SC2034 (warning): DuckStation_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckDuckStation.sh line 47:
- newGameDirOpt="${gameDirOpt}""${romsPath}/psx"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckDuckStation.sh line 49:
- biosDirSetting="${biosDir}""${biosPath}"
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckDuckStation.sh line 54:
- statesDirSetting="${statesDir}""${savesPath}/duckstation/states"
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 4:
- RPCS3_emuType="FlatPak"
- ^-----------^ SC2034 (warning): RPCS3_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 6:
- RPCS3_releaseURL=""
- ^--------------^ SC2034 (warning): RPCS3_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 42:
- linkToSaveFolder rpcs3 saves "${storagePath}/rpcs3/dev_hdd0/home/00000001/savedata"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 50:
- sed -i "/dev_hdd0/c\\${rpcs3DevHDD0Line}" $rpcs3VFSConf
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- sed -i "/dev_hdd0/c\\${rpcs3DevHDD0Line}" "$rpcs3VFSConf"
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 52:
- mkdir -p $storagePath/rpcs3/
- ^----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- mkdir -p "$storagePath"/rpcs3/
- In ./functions/EmuScripts/emuDeckRPCS3.sh line 63:
- if [ -d "$savesPath/rpcs3/dev_hdd0" ]; then
- ^--------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 4:
- PCSX2QT_emuType="AppImage"
- ^-------------^ SC2034 (warning): PCSX2QT_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 5:
- PCSX2QT_emuPath="$HOME/Applications/pcsx2-Qt.AppImage"
- ^-------------^ SC2034 (warning): PCSX2QT_emuPath appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 52:
- newBiosDirOpt='Bios = '"${biosPath}"
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 53:
- newsnapShotsDirOpt='Snapshots = '"${storagePath}/pcsx2/snaps"
- ^------------^ SC2154 (warning): storagePath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 54:
- newsaveStatesDirOpt='SaveStates = '"${savesPath}/pcsx2/states"
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 59:
- newrecursivePathsDirOpt='RecursivePaths = '"${romsPath}/ps2"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2QT.sh line 103:
- rm -rf "$emuPath"
- ^------^ SC2154 (warning): emuPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPrimehack.sh line 5:
- Primehack_emuType="FlatPak"
- ^---------------^ SC2034 (warning): Primehack_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPrimehack.sh line 7:
- releaseURL=""
- ^--------^ SC2034 (warning): releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPrimehack.sh line 40:
- newGameDirOpt='ISOPath0 = '"${romsPath}/primehacks"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXenia.sh line 3:
- Xenia_emuName="Xenia"
- ^-----------^ SC2034 (warning): Xenia_emuName appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckXenia.sh line 4:
- Xenia_emuType="windows"
- ^-----------^ SC2034 (warning): Xenia_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckXenia.sh line 5:
- Xenia_emuPath="${romsPath}/xbox360/Xenia.exe"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckXenia.sh line 7:
- Xenia_XeniaSettings="${romsPath}/xbox360/settings.xml"
- ^-----------------^ SC2034 (warning): Xenia_XeniaSettings appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckXenia.sh line 29:
- rsync -avhp $EMUDECKGIT/configs/xenia/ "$romsPath"/xbox360
- ^---------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- rsync -avhp "$EMUDECKGIT"/configs/xenia/ "$romsPath"/xbox360
- In ./functions/EmuScripts/emuDeckMAME.sh line 4:
- MAME_emuType="FlatPak"
- ^----------^ SC2034 (warning): MAME_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckMAME.sh line 6:
- MAME_releaseURL=""
- ^-------------^ SC2034 (warning): MAME_releaseURL appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckMAME.sh line 41:
- newGameDirOpt="$gameDirOpt""${romsPath}/arcade;${biosPath};${biosPath}/mame"
- ^---------^ SC2154 (warning): romsPath is referenced but not assigned.
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2.sh line 4:
- PCSX2_emuType="FlatPak"
- ^-----------^ SC2034 (warning): PCSX2_emuType appears unused. Verify use (or export if used externally).
- In ./functions/EmuScripts/emuDeckPCSX2.sh line 46:
- newBiosDirOpt='Bios='"${biosPath}"
- ^---------^ SC2154 (warning): biosPath is referenced but not assigned.
- In ./functions/EmuScripts/emuDeckPCSX2.sh line 47:
- newsaveStatesDirOpt='Savestates='"${savesPath}/pcsx2/states"
- ^----------^ SC2154 (warning): savesPath is referenced but not assigned.
- In ./functions/nonDeck.sh line 22:
- find "$RetroArch_coreConfigFolders" -type f -name "nes.cfg"| while read -r configFile
- ^--------------------------^ SC2154 (warning): RetroArch_coreConfigFolders is referenced but not assigned.
- In ./uninstall.sh line 2:
- NONE='\033[00m'
- ^--^ SC2034 (warning): NONE appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 3:
- RED='\033[01;31m'
- ^-^ SC2034 (warning): RED appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 4:
- GREEN='\033[01;32m'
- ^---^ SC2034 (warning): GREEN appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 5:
- YELLOW='\033[01;33m'
- ^----^ SC2034 (warning): YELLOW appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 6:
- PURPLE='\033[01;35m'
- ^----^ SC2034 (warning): PURPLE appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 7:
- CYAN='\033[01;36m'
- ^--^ SC2034 (warning): CYAN appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 8:
- WHITE='\033[01;37m'
- ^---^ SC2034 (warning): WHITE appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 9:
- BOLD='\033[1m'
- ^--^ SC2034 (warning): BOLD appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 10:
- UNDERLINE='\033[4m'
- ^-------^ SC2034 (warning): UNDERLINE appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 11:
- BLINK='\x1b[5m'
- ^---^ SC2034 (warning): BLINK appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 24:
- doUninstallXenua=false
- ^--------------^ SC2034 (warning): doUninstallXenua appears unused. Verify use (or export if used externally).
- In ./uninstall.sh line 32:
- text="`printf "<b>Hi!</b>\nDo you really want to uninstall Emudek?\n\nIf you are having issues please go to our Discord, Reddit so we can help you. You can see the links here: https://www.emudeck.com/#download"`"
- ^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
- Did you mean:
- text="$(printf "<b>Hi!</b>\nDo you really want to uninstall Emudek?\n\nIf you are having issues please go to our Discord, Reddit so we can help you. You can see the links here: https://www.emudeck.com/#download")"
- In ./uninstall.sh line 50:
- text="`printf " <b>This will delete Emudeck , the emulators and all of its configuration files and saved games</b>\n\n You can keep the Emulators installed, tell me which ones you want to keep.\n\nIf you select none of them, everything will be deleted<b>We won't delete your roms, if you wanna keep your saved games go to the Emulation/saves folder and make a backup of its contents</b>"`"
- ^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
- Did you mean:
- text="$(printf " <b>This will delete Emudeck , the emulators and all of its configuration files and saved games</b>\n\n You can keep the Emulators installed, tell me which ones you want to keep.\n\nIf you select none of them, everything will be deleted<b>We won't delete your roms, if you wanna keep your saved games go to the Emulation/saves folder and make a backup of its contents</b>")"
- In ./uninstall.sh line 195:
- rm -rf ~/emudeck &>> /dev/null
- ^----------------------------^ SC2129 (style): Consider using { cmd1; cmd2; } >> file instead of individual redirects.
- In ./uninstall.sh line 210:
- --text="${text}" &>> /dev/null
- ^--------------^ SC2215 (warning): This flag is used as a command name. Bad line break or missing [ .. ]?
- In ./install.sh line 16:
- if [ $? -eq 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./install.sh line 22:
- if [ $? -ne 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if ! mycmd;', not indirectly with $?.
- In ./install.sh line 29:
- if [ $? -ne 0 ]; then
- ^-- SC2181 (style): Check exit code directly with e.g. 'if ! mycmd;', not indirectly with $?.
- In ./install.sh line 159:
- if [[ ! $noPull == true ]]; then
- ^-----^ SC2154 (warning): noPull is referenced but not assigned.
- In ./install.sh line 160:
- cd "$EMUDECKGIT"
- ^--------------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- Did you mean:
- cd "$EMUDECKGIT" || exit
- In ./install.sh line 226:
- text="$(printf "<b>Hi, this is the changelog of the new features added in this version</b>\n\n${latest}")"
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- In ./install.sh line 372:
- expertModeFeatureList=$(zenity --list --checklist --width=1000 --height="${height}" \
- ^-------^ SC2128 (warning): Expanding an array without an index only gives the first element.
- In ./install.sh line 510:
- setSetting esdeTheme $esdeTheme
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- setSetting esdeTheme "$esdeTheme"
- In ./install.sh line 1078:
- if [ "$doSetupMAME" == "true" ]; then
- ^----------^ SC2154 (warning): doSetupMAME is referenced but not assigned (did you mean 'doSetupMame'?).
- In ./install.sh line 1137:
- if [ "$PCSX2QTWide" == true ]; then
- ^----------^ SC2154 (warning): PCSX2QTWide is referenced but not assigned (did you mean 'pcsx2QTWide'?).
- In ./install.sh line 1359:
- text="$(printf "<b>Yuzu is not configured</b>\nYou need to copy your Keys and firmware to: \n${biosPath}/yuzu/keys\n${biosPath}\yuzu/firmware\n\nMake sure to copy your files inside the folders. <b>Do not overwrite them</b>")"
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- In ./install.sh line 1396:
- text="$(printf "<b>Done!</b>\n\nRemember to add your games here:\n<b>${romsPath}</b>\nAnd your Bios (PS1, PS2, Yuzu, Ryujinx) here:\n<b>${biosPath}</b>\n\nOpen Steam Rom Manager on your Desktop to add your games to your SteamUI Interface.\n\nThere is a bug in RetroArch that if you are using Bezels you can not set save configuration files unless you close your current game. Use overrides for your custom configurations or use expert mode to disabled them\n\nIf you encounter any problem please visit our Discord:\n<b>https://discord.gg/b9F7GpXtFP</b>\n\nTo Update EmuDeck in the future, just run this App again.\n\nEnjoy!")"
- ^-- SC2059 (info): Don't use variables in the printf format string. Use printf '..%s..' "$foo".
- In ./tools/binupdate/binupdate.sh line 4:
- source "$HOME/emudeck/backend/functions/all.sh"
- ^-- SC1091 (info): Not following: ./emudeck/backend/functions/all.sh was not specified as input (see shellcheck -x).
- In ./tools/binupdate/binupdate.sh line 47:
- curl "$releaseChoice" --output "$romsPath/wiiu/cemu.zip"
- ^-------^ SC2154 (warning): romsPath is referenced but not assigned.
- In ./tools/binupdate/binupdate.sh line 62:
- scriptPath="${toolsPath}/binupdate"
- ^----------^ SC2154 (warning): toolsPath is referenced but not assigned.
- In ./tools/binupdate/binupdate.sh line 99:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 107:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 115:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 123:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 131:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 139:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/binupdate/binupdate.sh line 147:
- if [ "$?" == "0" ]; then
- ^--^ SC2181 (style): Check exit code directly with e.g. 'if mycmd;', not indirectly with $?.
- In ./tools/flatpakupdate/flatpakupdate.sh line 2:
- source "$HOME/emudeck/backend/functions/all.sh"
- ^-- SC1091 (info): Not following: ./emudeck/backend/functions/all.sh was not specified as input (see shellcheck -x).
- In ./tools/launchers/yuzu.sh line 6:
- exe=$(find $emufolder -iname "${emuName}*.AppImage" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- exe=$(find "$emufolder" -iname "${emuName}*.AppImage" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- In ./tools/launchers/yuzu.sh line 9:
- if [[ $exe == '' ]]; then
- ^--------------^ SC3010 (warning): In POSIX sh, [[ ]] is undefined.
- In ./tools/launchers/yuzu.sh line 15:
- chmod +x $exe
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- chmod +x "$exe"
- In ./tools/launchers/yuzu.sh line 19:
- param="${@}"
- ^----^ SC2124 (warning): Assigning an array to a string! Assign as array, or use * instead of @ to concatenate.
- In ./tools/launchers/yuzu.sh line 21:
- param=${param/\'/"$substituteWith"}
- ^---------------------------^ SC3060 (warning): In POSIX sh, string replacement is undefined.
- In ./tools/launchers/xenia.sh line 19:
- export STEAM_COMPAT_DATA_PATH="${PFX}"/${SteamAppId:-${APPID}}
- ^---------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- export STEAM_COMPAT_DATA_PATH="${PFX}"/"${SteamAppId:-${APPID}}"
- In ./tools/launchers/xenia.sh line 20:
- elif ! [ ${SteamGameId} -ge 0 ] 2>/dev/null && ! [ ${SteamAppId} -ge 0 ] 2>/dev/null && ! [ $(basename ${STEAM_COMPAT_DATA_PATH}) -ge 0 ] 2>/dev/null; then
- ^------------^ SC2154 (warning): SteamGameId is referenced but not assigned.
- ^------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^-----------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- ^-- SC2046 (warning): Quote this to prevent word splitting.
- ^-----------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- elif ! [ "${SteamGameId}" -ge 0 ] 2>/dev/null && ! [ "${SteamAppId}" -ge 0 ] 2>/dev/null && ! [ $(basename "${STEAM_COMPAT_DATA_PATH}") -ge 0 ] 2>/dev/null; then
- In ./tools/launchers/xenia.sh line 28:
- if ! [ -d ${STEAM_COMPAT_DATA_PATH} ]; then
- ^-----------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- if ! [ -d "${STEAM_COMPAT_DATA_PATH}" ]; then
- In ./tools/launchers/xenia.sh line 29:
- install -d ${STEAM_COMPAT_DATA_PATH} || exit 1
- ^-----------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- install -d "${STEAM_COMPAT_DATA_PATH}" || exit 1
- In ./tools/launchers/xenia.sh line 32:
- cd $apppath
- ^---------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
- ^------^ SC2154 (warning): apppath is referenced but not assigned (did you mean 'APPPATH'?).
- ^------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- cd "$apppath" || exit
- In ./tools/launchers/pcsx2-qt.sh line 6:
- exe=$(find $emufolder -iname "${emuName}*.AppImage" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- exe=$(find "$emufolder" -iname "${emuName}*.AppImage" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- In ./tools/launchers/pcsx2-qt.sh line 9:
- if [[ $exe == '' ]]; then
- ^--------------^ SC3010 (warning): In POSIX sh, [[ ]] is undefined.
- In ./tools/launchers/pcsx2-qt.sh line 15:
- chmod +x $exe
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- chmod +x "$exe"
- In ./tools/launchers/pcsx2-qt.sh line 19:
- param="${@}"
- ^----^ SC2124 (warning): Assigning an array to a string! Assign as array, or use * instead of @ to concatenate.
- In ./tools/launchers/pcsx2-qt.sh line 21:
- param=${param/\'/"$substituteWith"}
- ^---------------------------^ SC3060 (warning): In POSIX sh, string replacement is undefined.
- In ./tools/launchers/ryujinx.sh line 6:
- exe=$(find $emufolder -iname "${emuName}" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- ^--------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- exe=$(find "$emufolder" -iname "${emuName}" | sort -n | cut -d' ' -f 2- | tail -n 1 2>/dev/null)
- In ./tools/launchers/ryujinx.sh line 9:
- if [[ $exe == '' ]]; then
- ^--------------^ SC3010 (warning): In POSIX sh, [[ ]] is undefined.
- In ./tools/launchers/ryujinx.sh line 15:
- chmod +x $exe
- ^--^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- chmod +x "$exe"
- In ./tools/launchers/ryujinx.sh line 19:
- param="${@}"
- ^----^ SC2124 (warning): Assigning an array to a string! Assign as array, or use * instead of @ to concatenate.
- In ./tools/launchers/ryujinx.sh line 21:
- param=${param/\'/"$substituteWith"}
- ^---------------------------^ SC3060 (warning): In POSIX sh, string replacement is undefined.
- In ./tools/proton-launch.sh line 25:
- if [ -z ${STEAM_COMPAT_DATA_PATH+x} ] && ! [ -z ${PFX+x} ]; then
- ^-- SC2237 (style): Use [ -n .. ] instead of ! [ -z .. ].
- In ./tools/proton-launch.sh line 32:
- if [ -z ${SteamAppId+x} ] && ! [ -z ${APPID+x} ]; then
- ^-- SC2237 (style): Use [ -n .. ] instead of ! [ -z .. ].
- In ./tools/proton-launch.sh line 43:
- if ! [ -d ${STEAM_COMPAT_DATA_PATH} ]; then
- ^-----------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- if ! [ -d "${STEAM_COMPAT_DATA_PATH}" ]; then
- In ./tools/proton-launch.sh line 44:
- install -d ${STEAM_COMPAT_DATA_PATH} || exit 1
- ^-----------------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- install -d "${STEAM_COMPAT_DATA_PATH}" || exit 1
- In ./tools/proton-launch.sh line 135:
- elif [ -z ${PROTON+x} ] && [ ! -z ${ALTSTEAM+x} ] && [ -f "${ALTSTEAM}/common/Proton 7.0/proton" ]; then
- ^-- SC2236 (style): Use -n instead of ! -z.
- In ./tools/proton-launch.sh line 149:
- if [ -z ${PFX+x} ] && ! [ -z ${COMPATDATA+x} ]; then
- ^-- SC2237 (style): Use [ -n .. ] instead of ! [ -z .. ].
- In ./tools/chdconv/chddeck.sh line 77:
- --height="$height" \
- ^-----^ SC2128 (warning): Expanding an array without an index only gives the first element.
- In ./tools/chdconv/chddeck.sh line 84:
- --column=${selectColumnStr}) #goddamnit shellcheck broke this. array! do not quote.
- ^----------------^ SC2086 (info): Double quote to prevent globbing and word splitting.
- Did you mean:
- --column="${selectColumnStr}") #goddamnit shellcheck broke this. array! do not quote.
- In ./tools/chdconv/chddeck.sh line 103:
- if [[ " ${chdfolderWhiteList[*]} " =~ " ${romfolder} " ]]; then
- ^--------------^ SC2076 (warning): Remove quotes from right-hand side of =~ to match as a regex rather than literally.
- In ./tools/chdconv/chddeck.sh line 156:
- if [[ " ${rvzfolderWhiteList[*]} " =~ " ${romfolder} " ]]; then
- ^--------------^ SC2076 (warning): Remove quotes from right-hand side of =~ to match as a regex rather than literally.
- In ./execFn.sh line 2:
- source "$HOME/emudeck/backend/functions/all.sh"
- ^-- SC1091 (info): Not following: ./emudeck/backend/functions/all.sh was not specified as input (see shellcheck -x).
- For more information:
- https://www.shellcheck.net/wiki/SC2027 -- The surrounding quotes actually u...
- https://www.shellcheck.net/wiki/SC2034 -- BINUP_toolType appears unused. Ve...
- https://www.shellcheck.net/wiki/SC2046 -- Quote this to prevent word splitt...
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement